var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import classNames from 'classnames';
import Icon from "../icon";
import "./style/notification-container.css";
var prefixCls = 'dmc-notification-container';

var NotificationContainer = function NotificationContainer(props) {
  var _a;

  var message = props.message,
      description = props.description,
      emotion = props.emotion,
      className = props.className,
      footer = props.footer,
      restProps = __rest(props, ["message", "description", "emotion", "className", "footer"]);

  var wrapperCls = classNames(prefixCls, (_a = {}, _a[prefixCls + "-no-icon"] = !emotion, _a), className);
  return _jsxs("div", __assign({}, restProps, {
    className: wrapperCls
  }, {
    children: [!!emotion && _jsx(Icon, {
      icon: emotion,
      className: prefixCls + "-icon " + prefixCls + "-" + emotion
    }, void 0), _jsx("div", __assign({
      className: prefixCls + "-message"
    }, {
      children: message
    }), void 0), _jsx("div", __assign({
      className: prefixCls + "-desc"
    }, {
      children: description
    }), void 0), footer ? _jsx("span", __assign({
      className: prefixCls + "-footer"
    }, {
      children: footer
    }), void 0) : null]
  }), void 0);
};

NotificationContainer.displayName = 'NotificationContainer';
export default NotificationContainer;
var NotificationContainerMemo = /*#__PURE__*/React.memo(NotificationContainer);
NotificationContainerMemo.displayName = 'NotificationContainerMemo';
export { NotificationContainerMemo };

